com.dlsc.flexgantt.model.gantt

## Interface ISpreadsheet

- All Known Implementing Classes:
    Spreadsheet

      public interface ISpreadsheet

  The interface required by any object that wants to be added as a spreadsheet to the Gantt chart.
  Since:
    2.0
  Author:
    Dirk Lemmermann
  See Also:
    `Spreadsheet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCellWidth()` The required width of the spreadsheet cells.
    `Class` | `getDefaultValueType()` Returns the default object type of the spreadsheet's cell values, where a cell is defined by its tree node, the spreadsheet itself, and a time span.
    `IGranularity` | `getGranularity()` Returns the time granularity used by the spreadsheet, e.g.
    `String` | `getName()` The name of the spreadsheet as it will be shown in the UI components that control the visibility of the spreadsheets.

- - ### Method Detail

    - #### getName

          String getName()

      The name of the spreadsheet as it will be shown in the UI components that control the visibility of the spreadsheets.
      Returns:
        the spreadsheet name.
      Since:
        2.1

    - #### getGranularity

          IGranularity getGranularity()

      Returns the time granularity used by the spreadsheet, e.g. DAYS.
      Returns:
        the time granularity used by the spreadsheet. Each cell represents this granularity.
      Since:
        2.1

    - #### getCellWidth

          int getCellWidth()

      The required width of the spreadsheet cells. All cells have the same width. The width will be applied to the granularity shown in the dateline.
      Returns:
        the width of each cell in a spreadsheet
      Since:
        2.1

    - #### getDefaultValueType

          Class getDefaultValueType()

      Returns the default object type of the spreadsheet's cell values, where a cell is defined by its tree node, the spreadsheet itself, and a time span. The default value type is required when a `SpreadsheetLayer` tries to lookup an editor for a specific spreadsheet cell and the cell does not have a value, yet. If a value exists, then the value's type will be used to lookup an editor.
      Returns:
        the default type of the cell values
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.